--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Remove a descendant
- !ruby/struct:SM::Flow::P 
  body: Also removed the descendant from the ancestors.
- !ruby/struct:SM::Flow::P 
  body: "@param [Model] model"
- !ruby/struct:SM::Flow::VERB 
  body: "  the model to remove\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Model, NilClass]"
- !ruby/struct:SM::Flow::VERB 
  body: "  the model is return if it is a descendant\n"
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Model::DescendantSet#delete
is_singleton: false
name: delete
params: (model)
visibility: public
